Subject: Urgent Shipment Order # 100153014 - Tam-KSA::832059003580
From: John Oliver Tabuzo <[email-masked]>
To: Zubair Wahid <[email-masked]>, KSA Lastmile <[email-masked]>
Cc: customer care <[email-masked]>, Eugene Mugisa <[email-masked]>
Date: Sat, 13 Jun 2020 13:04:43 +0400
List-Id: <ccteam.mumzworld.com>

Hi Team,

Kindly check this order and please deliver as soon as possible.

Best Regards,
John